import { DummyApiaryAPIClient, TotalStats } from "../js/api";

describe("DummyApiaryAPIClient", () => {
    const api = new DummyApiaryAPIClient()
    test("totals returns expeced value", async () => {
        let totals = await api.totals()
        const expected: TotalStats = {
            password: 1,
            username: 1,
            ip: 1,
            attempts: 1,
            country: 1,
        }

        expect(totals).toEqual(expected)
    })
});